var Fullscreen = new Object();

Fullscreen.eventOn = function() {
	document.getElementById("GameCanvas").addEventListener("click", Fullscreen.toggle, false);
}

Fullscreen.eventOff = function() {
	document.getElementById("GameCanvas").removeEventListener("click", Fullscreen.toggle, false);
}

Fullscreen.on = function() {
	RunPrefixMethod(document.getElementById("GameCanvas"), "RequestFullScreen");
}

Fullscreen.off = function() {
	RunPrefixMethod(document, "CancelFullScreen");
}

Fullscreen.toggle = function() {
	if(Fullscreen.active()) {
		Fullscreen.off();
	}
	else {
		Fullscreen.on();
	}
}

Fullscreen.active = function() {
	return (RunPrefixMethod(document, "FullScreen") || RunPrefixMethod(document, "IsFullScreen"));
}

var pfx = ["webkit", "moz", "ms", "o", ""];
function RunPrefixMethod(obj, method) {	
	var p = 0, m, t;
	while (p < pfx.length && !obj[m]) {
		m = method;
		if (pfx[p] == "") {
			m = m.substr(0,1).toLowerCase() + m.substr(1);
		}
		m = pfx[p] + m;
		t = typeof obj[m];
		if (t != "undefined") {
			pfx = [pfx[p]];
			return (t == "function" ? obj[m]() : obj[m]);
		}
		p++;
	}
}
